Rated 5 out of 5 stars

I also like this extension...
So, in about:config , I created a new boolean entry extensions.checkCompatibility.3.6 that I set to false to make it work and it seem to work fine for now...

It is a good workaround waiting for a version compatible with FF 3.6.

This review is for a previous version of the add-on (1.2.9).